> For the complete documentation index, see [llms.txt](https://docs.truedat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truedat.io/v8.4/release-notes/v6/v6.12.md).

# v6.12

### Features and fixes delivered with this release

### Fixes

* TD-5353 User with a role with no permission to View Quality gets an error when navigating to a structure and tab Quality Rules is displayed.
* TD-6585 Saved filters that contain a domain are displayed in taxonomy views when the domain does not apply to that view.
* TD-6806 When creating a raw implementation, the field Database is not displayed.
* TD-6771 Total number of results found when searching by text changes after typing text.
* TD-6803 Apply AI suggestions in Notes is not working.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.truedat.io/v8.4/release-notes/v6/v6.12.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
